[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkedRecordEnumerator.Destroy

Destructor for the class instance.

## Declaration

Source position: dbgrids.pas line 151

`public destructor TBookmarkedRecordEnumerator.Destroy; override;`

## Description

Destroy is the destructor for the class instance. Destroy uses values in the Options property to perform actions needed before the class instance is freed, including:

- Restore the dataset to the position in Bookmark
- Re-enable controls attached to the dataset if disabled

Destroy calls the inherited destructor before exit.